Security Enhanced Linux Reference Policy

# Layer: services

## Module: oddjob

Interfaces

### Description:

Oddjob provides a mechanism by which unprivileged applications can request that specified privileged operations be performed on their behalf.

### Interfaces:

oddjob_dbus_chat( domain )

##### Summary

Send and receive messages from oddjob over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

oddjob_domtrans( domain )

##### Summary

Execute a domain transition to run oddjob.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

oddjob_domtrans_mkhomedir( domain )

##### Summary

Execute a domain transition to run oddjob_mkhomedir.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

oddjob_run_mkhomedir( domain , role )

##### Summary

Execute the oddjob_mkhomedir program in the oddjob_mkhomedir domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

oddjob_system_entry( domain , entrypoint )

##### Summary

Make the specified program domain accessable from the oddjob.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process to transition to.
entrypoint | The type of the file used as an entrypoint to this domain.

Return